Name:          ospray
Version:       3.1.0
Release:       4mamba
Summary:       An Open, Scalable, Portable, Ray Tracing Based Rendering Engine for High-Fidelity Visualization
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.ospray.org/
Source:        https://github.com/RenderKit/ospray.git/v%{version}/ospray-%{version}.tar.bz2
License:       Apache License 2.0
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libbenchmark-devel
BuildRequires: libembree-devel
BuildRequires: libgcc
BuildRequires: libispc-devel
BuildRequires: libmpi-devel
BuildRequires: liboidn-devel
BuildRequires: libopenvkl-devel
BuildRequires: librkcommon-devel
BuildRequires: libsnappy-devel
BuildRequires: libstdc++6-devel
BuildRequires: libtbb-devel
## AUTOBUILDREQ-END
BuildRequires: libbenchmark-devel >= 0:1.8.5-1mamba
BuildRequires: cmake
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
An Open, Scalable, Portable, Ray Tracing Based Rendering Engine for High-Fidelity Visualization.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%cmake \
    -DOSPRAY_BUILD_ISA=ALL \
    -DOSPRAY_ENABLE_APPS_EXAMPLES=OFF \
    -DOSPRAY_ENABLE_APPS_TUTORIALS=OFF \
    -DOSPRAY_ENABLE_MODULES=ON \
    -DOSPRAY_MODULE_DENOISER=ON \
    -DOSPRAY_MODULE_MPI=ON

%cmake_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%cmake_install

rm -f %{buildroot}%{_bindir}/{ospTestSuite,ospMPIDistribTestSuite}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/ospBenchmark
%{_bindir}/ospray_mpi_worker
%{_bindir}/ospConvertRawToAMR

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libospray.so.*
%{_libdir}/libospray_module_cpu.so.*
%{_libdir}/libospray_testing.so.*
%{_libdir}/libospray_module_denoiser.so.*
%{_libdir}/libospray_module_mpi_distributed_cpu.so.*
%{_libdir}/libospray_module_mpi_offload.so.*
%{_libdir}/libospray_mpi_common.so.*
%doc LICENSE.txt

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/ospray
%{_includedir}/ospray/OSPEnums.h
%dir %{_includedir}/ospray/SDK
%{_includedir}/ospray/SDK/*
%{_includedir}/ospray/ospray.h
%{_includedir}/ospray/ospray_cpp.h
%dir %{_includedir}/ospray/ospray_cpp
%{_includedir}/ospray/ospray_cpp/*
%dir %{_includedir}/ospray/ospray_testing
%{_includedir}/ospray/ospray_testing/*
%{_includedir}/ospray/ospray_util.h
%{_includedir}/ospray/version.h
%{_libdir}/libospray.so
%dir %{_libdir}/cmake/ospray-%{version}
%{_libdir}/cmake/ospray-%{version}/*.cmake
%dir %{_docdir}/OSPRay
%{_docdir}/OSPRay/*
%doc README.md

%changelog
* Sun Jul 28 2024 Automatic Build System <autodist@mambasoft.it> 3.1.0-4mamba
- rebuilt by autoport with build requirements: libbenchmark-devel>=0:1.8.5-1mamba

* Thu Jun 06 2024 Automatic Build System <autodist@mambasoft.it> 3.1.0-3mamba
- rebuilt by autoport with build requirements: libbenchmark-devel>=0:1.8.4-1mamba

* Mon May 06 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1.0-2mamba
- rebuilt with more build options

* Sat May 04 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1.0-1mamba
- package created using the webbuild interface
